
/*
-- ------ Common ------ --
unionNets.com
2010
*/
function netsCommon(){}
//-- ------ #Parameters ------ --
netsCommon.prototype.sName="tmpCommon";

netsCommon.prototype.sCCodeURL="../../../Component/Nets/netsJscript/netsCheckCode0.php?TID=";

netsCommon.prototype.sysCoreRoot="../../../";
netsCommon.prototype.sysRoot="../../../";
netsCommon.prototype.sysHome="../../../";
netsCommon.prototype.sysPage="../../../";
netsCommon.prototype.sysProductSite="http://product.unionnets.com/";
netsCommon.prototype.sysCoreName="";
netsCommon.prototype.sysName="";

netsCommon.prototype.sysFavoriteURL="";
netsCommon.prototype.sysComplaintsURL="";

netsCommon.prototype.sysForm="phpForm1";
netsCommon.prototype.sysMainID="mainID";
netsCommon.prototype.sysActionTypeF="ActionTypeF";
netsCommon.prototype.sysActionWithOut="ActionWithOut";
netsCommon.prototype.sysMessage="topMessage";
netsCommon.prototype.sysBatchMachineFramet="batchMachineFrame";

netsCommon.prototype.sysNormal_Multiple="Normal_Multiple";
netsCommon.prototype.sysNormal_MultipleByTxt="Normal_MultipleByTxt";
netsCommon.prototype.sysNormal_MultipleByRow="Normal_MultipleByRow";
netsCommon.prototype.sysNormal_MultipleByTxt_Columns="Normal_MultipleByTxt_Columns";
netsCommon.prototype.sysNormal_MultipleByRow_Columns="Normal_MultipleByRow_Columns";
netsCommon.prototype.sysNormal_MultipleByRow_Panel="Panel_Rows";
netsCommon.prototype.sysNormal_MultipleByRow_Textarea="Panel_Textarea";
netsCommon.prototype.sysNormal_MultipleByRow_Control="Panel_Controls";

netsCommon.prototype.sysHidden="DHidden";
netsCommon.prototype.sysFloatEndTemplate='<li class="DClear"></li>';
netsCommon.prototype.sysPx="px";
netsCommon.prototype.sysSPLIT1=",";
netsCommon.prototype.sysSPLIT2=";";
netsCommon.prototype.sysSPLIT3="|";
netsCommon.prototype.sysSPLIT4="\r\n";
netsCommon.prototype.sysSPLIT5="|||";
netsCommon.prototype.sysSPLIT6="<!---RTB.SPLIT1--->";
netsCommon.prototype.sysSPLIT7="<!---RTB.SPLIT2--->\r\n";
netsCommon.prototype.sysSPLIT8="<br />";
netsCommon.prototype.sysSPLIT14="/*-- ------ ###NETS### ------ #SPLIT1 ------ ###NETS### ------ --*/";
netsCommon.prototype.sysSPLIT15="-A-";

netsCommon.prototype.sysError_Ajax="<div style='text-align:center; margin:24px auto 24px auto;'>没有可以载入的数据，请与<a href='http://www.unionNets.com' target='_blank' class='FRed1 Link3'>平台开发商</a>联系；<br />或通过查看<a href='{Nets.Response}' target='_blank' class='FRed1 Link3'>响应内容</a>得到更多信息。</div>";
netsCommon.prototype.sysLoading_Ajax="<div class='LoadingBox_0'>数据正在载入中...</div>";
netsCommon.prototype.sysChooseHiddenButton="<div style='text-align:center;'><a href='#' class='Link1 FGreen1' onclick='hiddenChoose();'>关闭弹窗</a>";

netsCommon.prototype.sysUser_State=0;
netsCommon.prototype.sysFileicons=new Array();

//-- ------ #Methods ------ --
//-- #Common --
netsCommon.prototype.Favorite=function(pURL,pName){
	if(pURL==""){
		pURL=location.href;
	}
	if(pName==""){
		pName=document.title;
	}
	try{
		window.external.addFavorite(pURL,pName);
	}catch(Except){
		window.sidebar.addPanel(pName,pURL,"");
	}
	return 0;
}
netsCommon.prototype.SetHome=function(pURL,pObject){
	if(pURL==""){
		pURL=location.href;
	}
	pObject.style.behavior="url(#default#homepage)";
	pObject.setHomePage(pURL);
	
	return 0;
}
netsCommon.prototype.OnClipboard=function(pSTR){
	window.clipboardData.setData("Text",pSTR);
	alert("已复制到剪切板");
	
	return 0;
}
netsCommon.prototype.OnPrint=function(){
	window.print();
	
	return 0;
}
netsCommon.prototype.OnToDesktop=function(pURL,pName){
	var tmpFSO=new ActiveXObject("Scripting.FileSystemObject");
	var tmpShell=new ActiveXObject("WScript.Shell");
	var tagFolder=tmpShell.SpecialFolders("Desktop");
	//-- ### --
	if(pURL==""){
		pURL=location.href;
	}
	if(pName==""){
		pName=document.title;
	}
	//-- ### --
	if(!tmpFSO.FolderExists(tagFolder)){
		tmpFSO.CreateFolder(tagFolder);
	}
	if(!tmpFSO.FileExists(tagFolder+"//baidu.lnk")){
		var tmpLink=tmpShell.CreateShortcut(tagFolder+"//baidu.lnk");
	   tmpLink.Description=pName;
	   tmpLink.TargetPath=pURL;
	   tmpLink.WindowStyle=3;
	   tmpLink.Save();
	}          
	
	tmpFSO.close();
	tmpShell.close();
	return 0;
}
netsCommon.prototype.Favorite_S=function(pREQUEST,pName,pURL){
	//-- #Parameter --
	//#Require
	var tmpREQUEST=this.sysFavoriteURL;
	if(pREQUEST!=""){
		tmpREQUEST=pREQUEST;
	}
	//#Name
	var tmpName=document.title;
	if(pName!=""){
		tmpName=pName;
	}
	tmpName=this.encodeURL(tmpName,1);
	//#URL
	var tmpFavoriteURL=document.URL;
	if(pURL!=""){
		tmpFavoriteURL=pURL;
	}
	tmpFavoriteURL=this.encodeURL(tmpFavoriteURL,1);
	//-- #Make --
	var tmpURL=tmpREQUEST+"?ActionType=AddFavorite&AddFavorite_NAME="+tmpName+"&AddFavorite_URL="+tmpFavoriteURL;
	window.open(tmpURL,'_blank');
}
netsCommon.prototype.Complaints_S=function(pREQUEST,pName,pType){
	//-- #Parameter --
	//#Require
	var tmpREQUEST=this.sysComplaintsURL;
	if(pREQUEST!=""){
		tmpREQUEST=pREQUEST;
	}
	//#Name
	var tmpName=document.title;
	if(pName!=""){
		tmpName=pName;
	}
	tmpName=this.encodeURL(tmpName,1);
	//-- #Make --
	var tmpURL=tmpREQUEST+"?DType="+pType+this.sysSPLIT1+tmpName;
	window.open(tmpURL,'_blank');
}
netsCommon.prototype.goBack=function(pPageNum){
	history.go(pPageNum);
}
netsCommon.prototype.goRefresh=function(){
	location.reload();
}
//-- #Get element X and Y --
netsCommon.prototype.getMouse=function(pEvent){
	var tmpEvent=pEvent;
	if(tmpNavigator.appName=="Microsoft Internet Explorer"){
		tmpEvent=window.event;
	}
	return tmpEvent;
}
netsCommon.prototype.getElementX=function(pElement,pTag){
	var tmpINT=0;
	var tmpElement=pElement;
	//-- ### --
	tmpINT=tmpElement.getBoundingClientRect().left;
	return tmpINT;
	//-- ### --
	var tmpCorrection=tmpElement.offsetLeft;
	while(tmpElement.tagName!=pTag){
		tmpINT+=tmpElement.offsetLeft;
		tmpElement=tmpElement.parentNode;
	}
	
	tmpINT-=tmpCorrection;
	return tmpINT;
}
netsCommon.prototype.getElementY=function(pElement,pTag){
	var tmpINT=0;
	var tmpElement=pElement;
	//-- ### --
	tmpINT=tmpElement.getBoundingClientRect().top;
	return tmpINT;
	//-- ### --
	var tmpCorrection=tmpElement.offsetTop;
	while(tmpElement.tagName!=pTag){
		tmpINT+=tmpElement.offsetTop;
		tmpElement=tmpElement.parentNode;
	}
	
	tmpINT-=tmpCorrection;
	return tmpINT;
}
//-- #URL --
netsCommon.prototype.encodeURL=function(pSTR,pType){
	if(pType==1){
		pSTR+="";
		pSTR=pSTR.replace(/\,/g,"%NETSSPLIT1");
		pSTR=pSTR.replace(/\?/g,"%NETSSPLIT2");
		pSTR=pSTR.replace(/\&/g,"%NETSSPLIT3");
	}
	pSTR=encodeURI(pSTR);
	return pSTR;
}
netsCommon.prototype.decodeURL=function(pSTR,pType){
	pSTR=decodeURI(pSTR);
	if(pType==1){
		pSTR+="";
		pSTR=pSTR.replace(/\%NETSSPLIT1/g,",");
		pSTR=pSTR.replace(/\%NETSSPLIT2/g,"?");
		pSTR=pSTR.replace(/\%NETSSPLIT3/g,"&");

	}
	return pSTR;
}
//-- #XML --
netsCommon.prototype.analyzeXML=function(pCONTENT){
	var tmpXML=new Object();
	try{
		var tmpXML=new ActiveXObject("Microsoft.XMLDOM");
		tmpXML.async="false";
		tmpXML.loadXML(pCONTENT);
	}catch(Except){
		try{
			var tmpParser=new DOMParser();
			var tmpXML=tmpParser.parseFromString(pCONTENT,"text/xml");
		}catch(Except){}
	}
	
	return tmpXML;
}
//-- #User power --
netsCommon.prototype.OnUserURL=function(pURL,pMessage){
	if(this.sysUser_State==0){
		if(tmpFrames==undefined){
			alert(pMessage);
		}else{
			tmpFrames.showMessage("",pMessage,"",0);
		}
		return 1;
	}
	
	window.location=pURL;
	return 0;
}
//-- #netsElementById --
netsCommon.prototype.netsElementById=function(pParent,pID){
	//-- ### --
	var tmpAR_Elements=new Array();
	var Coun0=0;
	var Coun1=0;
	//-- ### --
	tmpAR_Elements[Coun0]=pParent;
	while(tmpAR_Elements.length>Coun0){
		Coun1=0;
		while(tmpAR_Elements[Coun0].childNodes.length>Coun1){
			if(tmpAR_Elements[Coun0].childNodes[Coun1].id==pID){
				return tmpAR_Elements[Coun0].childNodes[Coun1];
			}else{
				tmpAR_Elements[tmpAR_Elements.length]=tmpAR_Elements[Coun0].childNodes[Coun1];
			}
			Coun1++;
		}
		Coun0++;
	}
	
	return null;
}

//-- #Control action --
netsCommon.prototype.setInitialValue=function(pType,pValue,pElement){
	var tmpElement=pElement;
	if(pType==0){
		//Focus
		if(tmpElement.value==pValue){
			tmpElement.value="";
		}
		tmpElement.style.color="#000000";
	}else{
		//Blue
		if(tmpElement.value=="" || tmpElement.value==pValue){
			tmpElement.style.color="#CCCCCC";
			tmpElement.value=pValue;
		}
	}
}
//-- #Choose all --
netsCommon.prototype.chooseAllBox=function(){
	var tmpElement1=document.getElementById(this.sysForm);
	var IsCheck=document.getElementById("chooseAll").checked;
	
	Coun0=0;
	while(document.getElementById("checkedBox"+Coun0)!=undefined){
		document.getElementById("checkedBox"+Coun0).checked=IsCheck;
		Coun0++;
	}
}
//-- #Refresh CCode --
netsCommon.prototype.refreshCCode=function(pControlName){
	if(pControlName==""){
		pControlName="CCodeIframe";
	}
	document.getElementById(pControlName).src=this.sCCodeURL+Math.random()+'&Name='+pControlName;
}
//-- #Set action type --
netsCommon.prototype.setActionType=function(pActionType,pFormActionType,pPage,pExtends){
	if(pPage==""){
		pPage=this.sysPage;
	}
	document.getElementById(this.sysForm).action=pPage+"?ActionType="+pActionType+"&"+this.sysActionTypeF+"="+pFormActionType+"&"+pExtends;
	document.getElementById(this.sysActionTypeF).value=pFormActionType;
}
//-- #Set action with out --
netsCommon.prototype.setActionWithOut=function(pType){
	document.getElementById(this.sysActionWithOut).value=pType;
}
//-- #Confirm do --
netsCommon.prototype.confirmDo=function(pMessage){
	if(confirm(pMessage)){
		document.getElementById(this.sysActionWithOut).value="1";
	}else{
		document.getElementById(this.sysActionWithOut).value="2";
	}
	return 0;
}
//-- #Hidden element by tag --
netsCommon.prototype.hiddenAllElement=function(pTag,pType){
	var tmpElementAR=document.getElementsByTagName(pTag);
	var Coun0=0;
	
	while(tmpElementAR.length>Coun0){
		if(pType==0){
			tmpElementAR[Coun0].style.visibility="hidden";
		}else{
			tmpElementAR[Coun0].style.visibility="visible";
		}
		Coun0++;
	}
	
	return 0;
}
//-- #Submit --
netsCommon.prototype.netsSubmit=function(){
	var tmpBoolean=JsDCheck(0);
	if(document.getElementById(this.sysActionTypeF).value==1 || tmpBoolean==false){
		return 1;
	}
	
	document.phpForm1.submit();
	return 0;
}
//-- #FixFrame --
netsCommon.prototype.FixFrame=function(pOBJECT,pFramename){
	var tmpINT=pOBJECT.body.scrollHeight;
	parent.document.getElementById(pFramename).style.height=tmpINT+this.sysPx;

	return 0;
}
//-- #FixImgsize --
netsCommon.prototype.FixImgsize=function(pOBJECT,pWidth,pHeigth){
	var tmpRARE=pOBJECT.style.width/pOBJECT.style.height;
	if((pOBJECT.style.width>pWidth || pOBJECT.style.height>pHeigth) && tmpRARE>1){
		pOBJECT.style.width=pWidth+this.sysPx;
		pOBJECT.style.height=pWidth*tmpRARE+this.sysPx;

	}else if((pOBJECT.style.width>pWidth || pOBJECT.style.height>pHeigth) && tmpRARE>1){
		pOBJECT.style.width=pHeigth*tmpRARE+this.sysPx;
		pOBJECT.style.height=pHeigth*tmpRARE+this.sysPx;

	}

	return 0;
}
//-- #Childsite --
netsCommon.prototype.ChildsiteRecord=function(pURL){
	var tmpURL=this.sysProductSite+"Plus/Common/Nets/Data_Childsite.php?ActionType=DChildsiteAdd&DChildsiteAdd=0,"+this.encodeURL(pURL);
	document.getElementById("childsiteRecordBox").src=tmpURL;
	
	return 0;
}
//-- #Decimal --
netsCommon.prototype.changeTwoDecimal_f=function(x){
	var f_x = parseFloat(x);
	if (isNaN(f_x)){
		alert('function:changeTwoDecimal->parameter error');
		return false;
	}
	var f_x = Math.round(x*100)/100;
	var s_x = f_x.toString();
	var pos_decimal = s_x.indexOf('.');
	if (pos_decimal < 0){
		pos_decimal = s_x.length;
		s_x += '.';
	}
	while (s_x.length <= pos_decimal + 2){
		s_x += '0';
	}
	return s_x;
}
//-- #Date --
netsCommon.prototype.formatDate=function(pValue){
	var tmpDate=new Date();
	var tmpAR0=pValue.split(" ");
	var tmpAR1=new Array(tmpDate.getYear(),1,1);
	var tmpAR2=new Array(0,0,0);
	if(tmpAR0.length<1){
		return tmpDate;
	}
	tmpAR1=tmpAR0[0].split("-");
	if(tmpAR1.length!=3){
		return tmpDate;
	}
	if(tmpAR0.length>1){
		tmpAR2=tmpAR0[1].split(":");
	}
	tmpAR0=this.TimeCheck(tmpAR1[0],tmpAR1[1],tmpAR1[2],tmpAR2[0],tmpAR2[1],tmpAR2[2]);
	
	tmpDate=new Date(tmpAR0[0],tmpAR0[1],tmpAR0[2],tmpAR0[3],tmpAR0[4],tmpAR0[5]);
	return tmpDate;
}
netsCommon.prototype.TimeCheck=function(pYear,pMonth,pDay,pHour,pMinute,pSecond){
	//-- ------ ### ------ --
	var tmpSecondDivisor=60;
	var tmpMinuteDivisor=60;
	var tmpHourDivisor=24;
	var tmpOneHour=tmpMinuteDivisor*tmpSecondDivisor;
	var tmpOneDay=tmpHourDivisor*tmpMinuteDivisor*tmpSecondDivisor;
	var tmpDayDivisor=28;
	var tmpDayDivisorAR=new Array(0,3,0,3,2,3,2,3,3,2,3,2,3);
	var tmpMonthDivisor=12;
	var tmpYearDivisor=365;
	var tmpDatetime=new Array(pYear,pMonth,pDay,pHour,pMinute,pSecond);
	
	//-- ------ #Check time range ------ --
	//#Second
	if(pSecond<0){
		tmpINT=pSecond/tmpSecondDivisor;
		tmpINT=parseInt(tmpINT);
		pMinute=pMinute+tmpINT;
		tmpINT=pSecond%tmpSecondDivisor;
		if (tmpINT<0) {
			pMinute=pMinute-1;
			pSecond=tmpSecondDivisor+tmpINT;
		}else {
			pSecond=tmpINT;
		}
	}
	if (pSecond>=tmpSecondDivisor){
		tmpINT=pSecond/tmpSecondDivisor;
		tmpINT=parseInt(tmpINT);
		pMinute=pMinute+tmpINT;
		tmpINT=pSecond%tmpSecondDivisor;
		pSecond=tmpINT;
	}
	//#Minute
	if(pMinute<0){
		tmpINT=pMinute/tmpMinuteDivisor;
		tmpINT=parseInt(tmpINT);
		pHour=pHour+tmpINT;
		tmpINT=pMinute%tmpMinuteDivisor;
		if (tmpINT<0) {
			pHour=pHour-1;
			pMinute=tmpMinuteDivisor+tmpINT;
		}else {
			pMinute=tmpINT;
		}
	}
	if (pMinute>=tmpMinuteDivisor) {
		tmpINT=pMinute/tmpMinuteDivisor;
		tmpINT=parseInt(tmpINT);
		pHour=pHour+tmpINT;
		tmpINT=pMinute%tmpMinuteDivisor;
		pMinute=tmpINT;
	}
	//#Hour
	if(pHour<0){
		tmpINT=pHour/tmpHourDivisor;
		tmpINT=parseInt(tmpINT);
		pDay=pDay+tmpINT;
		tmpINT=pHour%tmpHourDivisor;
		if (tmpINT<0) {
			pDay=pDay-1;
			pHour=tmpHourDivisor+tmpINT;
		}else {
			pHour=tmpINT;
		}
	}
	if (pHour>=tmpHourDivisor) {
		tmpINT=pHour/tmpHourDivisor;
		tmpINT=parseInt(tmpINT);
		pDay=pDay+tmpINT;
		tmpINT=pHour%tmpHourDivisor;
		pHour=tmpINT;
	}
	//#SetMonth
	tmpMonth=pMonth;
	if(tmpMonth<0){
		tmpINT=pMonth%tmpMonthDivisor;
		pMonth=tmpMonthDivisor+tmpINT;
	}
	if (tmpMonth>tmpMonthDivisor) {
		tmpMonth=tmpMonth%tmpMonthDivisor;
	}
	//#Day
	if(pDay<0){
		tmpINT=pDay/(tmpDayDivisor+tmpDayDivisorAR[parseInt(tmpMonth)]);
		tmpINT=parseInt(tmpINT);
		pMonth=pMonth+tmpINT;
		tmpINT=pDay%(tmpDayDivisor+tmpDayDivisorAR[parseInt(tmpMonth)]);
		if (tmpINT<0) {
			pMonth=pMonth-1;
			pDay=(tmpDayDivisor+tmpDayDivisorAR[parseInt(tmpMonth)])+tmpINT;
		}else {
			pDay=tmpINT;
		}
	}
	if (pDay>(tmpDayDivisor+tmpDayDivisorAR[parseInt(tmpMonth)])) {
		tmpINT=pDay/(tmpDayDivisor+tmpDayDivisorAR[parseInt(tmpMonth)]);
		tmpINT=parseInt(tmpINT);
		pMonth=pMonth+tmpINT;
		tmpINT=pDay%(tmpDayDivisor+tmpDayDivisorAR[parseInt(tmpMonth)]);
		pDay=tmpINT;
	}
	//#Month
	if(pMonth<0){
		tmpINT=pMonth/tmpMonthDivisor;
		tmpINT=parseInt(tmpINT);
		pYear=pYear+tmpINT;
		tmpINT=pMonth%tmpMonthDivisor;
		if (tmpINT<0) {
			pYear=pYear-1;
			pMonth=tmpMonthDivisor+tmpINT;
		}else {
			pMonth=tmpINT;
		}
	}
	if (pMonth>tmpMonthDivisor) {
		tmpINT=pMonth/tmpMonthDivisor;
		tmpINT=parseInt(tmpINT);
		pYear=pYear+tmpINT;
		tmpINT=pMonth%tmpMonthDivisor;
		pMonth=tmpINT;
	}
	//#Year
	if(pYear<0){
	}
	
	//-- ------ ### ------ --
	tmpDatetime=new Array(pYear,pMonth,pDay,pHour,pMinute,pSecond);
	return tmpDatetime;
}

//-- ------ #Instanct ------ --
var tmpCommon=new netsCommon();



//-- #File type icon --
var Coun0=0;
tmpCommon.sysFileicons[Coun0]=new Array("AC3","Ui/Common/Img/FileIcon/AC3.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("ACE","Ui/Common/Img/FileIcon/ACE.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("ADE","Ui/Common/Img/FileIcon/ADE.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("ADP","Ui/Common/Img/FileIcon/ADP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("AI","Ui/Common/Img/FileIcon/AI.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("AIFF","Ui/Common/Img/FileIcon/AIFF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("AU","Ui/Common/Img/FileIcon/AU.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("AVI","Ui/Common/Img/FileIcon/AVI.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("BAT","Ui/Common/Img/FileIcon/BAT.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("BIN","Ui/Common/Img/FileIcon/BIN.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("BMP","Ui/Common/Img/FileIcon/BMP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("BUP","Ui/Common/Img/FileIcon/BUP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("CAB","Ui/Common/Img/FileIcon/CAB.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("CAT","Ui/Common/Img/FileIcon/CAT.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("CHM","Ui/Common/Img/FileIcon/CHM.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("CSS","Ui/Common/Img/FileIcon/CSS.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("CUE","Ui/Common/Img/FileIcon/CUE.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DAT","Ui/Common/Img/FileIcon/DAT.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DCR","Ui/Common/Img/FileIcon/DCR.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DER","Ui/Common/Img/FileIcon/DER.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DIC","Ui/Common/Img/FileIcon/DIC.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DIVX","Ui/Common/Img/FileIcon/DIVX.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DIZ","Ui/Common/Img/FileIcon/DIZ.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DLL","Ui/Common/Img/FileIcon/DLL.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DOC","Ui/Common/Img/FileIcon/DOC.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DOCX","Ui/Common/Img/FileIcon/DOCX.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DOS","Ui/Common/Img/FileIcon/DOS.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DVD","Ui/Common/Img/FileIcon/DVD.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DWG","Ui/Common/Img/FileIcon/DWG.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("DWT","Ui/Common/Img/FileIcon/DWT.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("Default","Ui/Common/Img/FileIcon/Default.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("EMF","Ui/Common/Img/FileIcon/EMF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("EXC","Ui/Common/Img/FileIcon/EXC.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("FON","Ui/Common/Img/FileIcon/FON.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("GIF","");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("HLP","Ui/Common/Img/FileIcon/HLP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("HTML","Ui/Common/Img/FileIcon/HTML.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("IFO","Ui/Common/Img/FileIcon/IFO.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("INF","Ui/Common/Img/FileIcon/INF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("INI","Ui/Common/Img/FileIcon/INI.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("INS","Ui/Common/Img/FileIcon/INS.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("IP","Ui/Common/Img/FileIcon/IP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("ISO","Ui/Common/Img/FileIcon/ISO.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("ISP","Ui/Common/Img/FileIcon/ISP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("JAVA","Ui/Common/Img/FileIcon/JAVA.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("JFIF","Ui/Common/Img/FileIcon/JFIF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("JPEG","Ui/Common/Img/FileIcon/JPEG.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("JPG","");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("LOG","Ui/Common/Img/FileIcon/LOG.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("M4A","Ui/Common/Img/FileIcon/M4A.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MID","Ui/Common/Img/FileIcon/MID.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MMF","Ui/Common/Img/FileIcon/MMF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MMM","Ui/Common/Img/FileIcon/MMM.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MOV","Ui/Common/Img/FileIcon/MOV.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MOVIE","Ui/Common/Img/FileIcon/MOVIE.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MP2","Ui/Common/Img/FileIcon/MP2.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MP2V","Ui/Common/Img/FileIcon/MP2V.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MP3","Ui/Common/Img/FileIcon/MP3.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MP4","Ui/Common/Img/FileIcon/MP4.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MPE","Ui/Common/Img/FileIcon/MPE.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MPEG","Ui/Common/Img/FileIcon/MPEG.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MPG","Ui/Common/Img/FileIcon/MPG.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("MPV2","Ui/Common/Img/FileIcon/MPV2.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("NFO","Ui/Common/Img/FileIcon/NFO.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("PDD","Ui/Common/Img/FileIcon/PDD.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("PDF","Ui/Common/Img/FileIcon/PDF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("PHP","Ui/Common/Img/FileIcon/PHP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("PNG","");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("PPT","Ui/Common/Img/FileIcon/PPT.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("PPTX","Ui/Common/Img/FileIcon/PPTX.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("PSD","Ui/Common/Img/FileIcon/PSD.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("RAR","Ui/Common/Img/FileIcon/RAR.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("REG","Ui/Common/Img/FileIcon/REG.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("RTF","Ui/Common/Img/FileIcon/RTF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("SCP","Ui/Common/Img/FileIcon/SCP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("THEME","Ui/Common/Img/FileIcon/THEME.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("TIF","Ui/Common/Img/FileIcon/TIF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("TIFF","Ui/Common/Img/FileIcon/TIFF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("TLB","Ui/Common/Img/FileIcon/TLB.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("TTF","Ui/Common/Img/FileIcon/TTF.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("TXT","Ui/Common/Img/FileIcon/TXT.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("UIS","Ui/Common/Img/FileIcon/UIS.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("URL","Ui/Common/Img/FileIcon/URL.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("VBS","Ui/Common/Img/FileIcon/VBS.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("VCR","Ui/Common/Img/FileIcon/VCR.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("VOB","Ui/Common/Img/FileIcon/VOB.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("WAV","Ui/Common/Img/FileIcon/WAV.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("WBA","Ui/Common/Img/FileIcon/WBA.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("WMA","Ui/Common/Img/FileIcon/WMA.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("WMV","Ui/Common/Img/FileIcon/WMV.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("WPL","Ui/Common/Img/FileIcon/WPL.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("WRI","Ui/Common/Img/FileIcon/WRI.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("WTX","Ui/Common/Img/FileIcon/WTX.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("XLSX","Ui/Common/Img/FileIcon/XLSX.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("XML","Ui/Common/Img/FileIcon/XML.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("XSL","Ui/Common/Img/FileIcon/XSL.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("ZAP","Ui/Common/Img/FileIcon/ZAP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("ZIP","Ui/Common/Img/FileIcon/ZIP.png");
Coun0++;
tmpCommon.sysFileicons[Coun0]=new Array("XLS","Ui/Common/Img/FileIcon/XLS.png");
Coun0++;


//-- ------ #Time ------ --
var sysTimeIndex=0;
var sysTimeHandle=0;
function doTime(){
	netsTime_callback();
	sysTimeIndex++;
	sysTimeHandle=setTimeout("doTime()",10);
}
function netsTime_callback(){}

//-- ------ #Other class ------ --
String.prototype.getBytes = function() {    
    var cArr = this.match(/[^\x00-\xff]/ig);    
    return this.length + (cArr == null ? 0 : cArr.length);    
}






